@charset "UTF-8";
/***
 * munnichCSS.css v0.0.2
***/

/** GENERAL **/
@font-face{
    font-family: 'Inter';
    src: url('../fonts/Inter/Inter-Regular.ttf');
}

@font-face{
    font-family: 'Inter';
    src: url('../fonts/Inter/Inter-ExtraLight.ttf') format('truetype');
    font-weight: 200;
}

@font-face{
    font-family: 'Inter';
    src: url('../fonts/Inter/Inter-Light.ttf') format('truetype');
    font-weight: 300;
}

@font-face{
    font-family: 'Inter';
    src: url('../fonts/Inter/Inter-Regular.ttf') format('truetype');
    font-weight: 400;
}

@font-face{
    font-family: 'Inter';
    src: url('../fonts/Inter/Inter-Medium.ttf') format('truetype');
    font-weight: 500;
}

@font-face{
    font-family: 'Inter';
    src: url('../fonts/Inter/Inter-SemiBold.ttf') format('truetype');
    font-weight: 600;
}

@font-face{
    font-family: 'Inter';
    src: url('../fonts/Inter/Inter-Bold.ttf') format('truetype');
    font-weight: 700;
}

@font-face{
    font-family: 'Inter';
    src: url('../fonts/Inter/Inter-ExtraBold.ttf') format('truetype');
    font-weight: 800;
}

@font-face{
    font-family: 'Inter';
    src: url('../fonts/Inter/Inter-Black.ttf') format('truetype');
    font-weight: 900;
}

:root {
    --mit-grid-maxWidth: 100%;
    --mit-grid-gutter: 2rem;

    /* fonts */
    --mit-font-Xsmall: 12px;
    --mit-font-small: 14px;
    --mit-font-medium: 16px;
    --mit-font-large: 20px;

    --mit-font-family: "Inter", "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;

    --mit-border-raduis: 8px;
    --mit-basic-margin-x: 12px;
    --mit-basic-margin-y: 12px;
    --mit-basic-padding-x: 24px;
    --mit-basic-padding-y: 12px;

    --mit-table-border-raduis: 12px;
    --mit-table-padding: 12px 24px;
    --mit-table-border: 1px solid var(--surface-surface-secondary);
    --mit-table-box-shadow: 0 1px 3px 0 rgba(16, 24, 40, 0.10), 0 1px 2px 0 rgba(16, 24, 40, 0.06);

    --mit-primary-1000: #740220;
    --mit-primary-900: #A1022C;
    --mit-primary-800: #C30235;
    --mit-primary-700: #D40139;
    --mit-primary-600: #E2013D;
    --mit-primary-500: #E8104A;
    --mit-primary-400: #ED2F62;
    --mit-primary-300: #F6537E;
    --mit-primary-200: #FF93AF;
    --mit-primary-100: #FFBBCD;
    --mit-primary-50: #FFDFE8;
    --mit-primary-25: #FFF7F9;

    --mit-dark-1000:#1D0C0C;
    --mit-dark-900: #281010;
    --mit-dark-850: #2D1717;
    --mit-dark-800: #391D1D;
    --mit-dark-700: #543434;
    --mit-dark-600: #634d4d;
    --mit-dark-500: #856666;
    --mit-dark-400: #B39898;
    --mit-dark-300: #DDD0D0;
    --mit-dark-200: #EADFDF;
    --mit-dark-100: #F1EBEB;
    --mit-dark-50: #FBFBFB;

    /* Gray Colours */
    --mit-gray-900: #212121;
    --mit-gray-800: #353535;
    --mit-gray-700: #535353;
    --mit-gray-600: #656565;
    --mit-gray-500: #848484;
    --mit-gray-400: #B1B1B1;
    --mit-gray-300: #D9D9D9;
    --mit-gray-200: #EFEFEF;
    --mit-gray-100: #F4F4F4;
    --mit-gray-50: #F9F9F9;
    --mit-gray-25: #FCFCFC;

    /* Success */
    --mit-success-900:#054F31;
    --mit-success-800:#05603A;
    --mit-success-700:#027A48;
    --mit-success-600:#039855;
    --mit-success-500:#12B76A;
    --mit-success-400:#32D583;
    --mit-success-300:#6CE9A6;
    --mit-success-200:#A6F4C5;
    --mit-success-100:#D1FADF;
    --mit-success-50:#ECFDF3;
    --mit-success-25:#F6FEF9;

    /* warning */
    --mit-warning-900:#7A2E0E;
    --mit-warning-800:#93370D;
    --mit-warning-700:#B54708;
    --mit-warning-600:#DC6803;
    --mit-warning-500:#F79009;
    --mit-warning-400:#FDB022;
    --mit-warning-300:#FEC84B;
    --mit-warning-200:#FEDF89;
    --mit-warning-100:#FEF0C7;
    --mit-warning-50:#FFFAEB;
    --mit-warning-25:#FFFCF5;

    /* error */
    --mit-error-900:#7A271A;
    --mit-error-800:#912018;
    --mit-error-700:#B42318;
    --mit-error-600:#D92D20;
    --mit-error-500:#F04438;
    --mit-error-400:#F97066;
    --mit-error-300:#FDA29B;
    --mit-error-200:#FECDCA;
    --mit-error-100:#FEE4E2;
    --mit-error-50:#FEF3F2;
    --mit-error-25:#FFFBFA;

    /* Main Colours */
    --mit-white: #FFF;
    --mit-black:#000000;
    --mit-highlight:#3498db;
    --mit-gantt-a:#f7e30c;

    /* Light Theme Colours */
    /* text */
    --mit-logo:url(../../public/img/logo-light.png);

    --text-text-primary:var(--mit-gray-900);
    --text-text-secondary:var(--mit-gray-800);
    --text-text-tertiary:var(--mit-gray-700);
    --text-text-quaternary:var(--mit-gray-500);
    --text-text-body:var(--mit-gray-600);
    --text-text-invert:var(--mit-white);
    --text-text-light:var(--mit-gray-300);

    --text-brand-text-brand-primary:var(--mit-primary-600);
    --text-brand-text-brand-secondary:var(--mit-primary-300);
    --text-brand-text-brand-accent:var(--mit-primary-600);

    --text-success-text-primary:var(--mit-success-700);

    --text-warning-text-primary:var(--mit-warning-700);

    --text-error-text-primary:var(--mit-error-700);

    /* surface (background colors) */
    --surface-surface-bg:var(--mit-white);
    --surface-surface-light:var(--mit-gray-50);
    --surface-surface-bg-accent:var(--mit-white);
    --surface-surface-primary:var(--mit-gray-100);
    --surface-surface-secondary:var(--mit-gray-200);
    --surface-surface-tertiary:var(--mit-gray-300);
    --surface-surface-quaternary:var(--mit-gray-500);
    --surface-surface-tooltip:var(--mit-dark-900);

    --surface-brand-surface-brand-primary:var(--mit-primary-600);
    --surface-brand-surface-brand-secondary:var(--mit-primary-300);
    --surface-brand-surface-brand-tertiary:var(--mit-primary-50);
    --surface-brand-surface-brand-accent:var(--mit-primary-600);
    --surface-brand-surface-brand-subtle:var(--mit-primary-300);
    --surface-brand-surface-brand-quaternary:var(--mit-primary-800);
    --surface-brand-surface-brand-click:var(--mit-primary-900);

    --surface-button-text-button-primary:var(--mit-white);
    --surface-button-text-button-secondary:var(--text-text-tertiary);
    --surface-button-text-button-brand:var(--text-brand-text-brand-secondary);
    --surface-button-text-button-brand-active:var(--text-brand-text-brand-primary);
    --surface-button-text-button-brand-hover:var(--text-brand-text-brand-primary);
    --surface-button-surface-button-primary:var(--surface-surface-bg);
    --surface-button-surface-button-hover:var(--surface-surface-primary);
    --surface-button-surface-button-focused:var(--surface-surface-secondary);
    --surface-button-surface-secondary-button:var(--mit-primary-25);
    --surface-button-surface-secondary-button-active:var(--mit-primary-50);
    --surface-button-surface-secondary-button-hover:var(--mit-primary-100);
    --surface-button-surface-secondary-outline:var(--mit-primary-25);
    --surface-button-surface-secondary-outline-active:var(--mit-primary-50);
    --surface-button-surface-secondary-outline-hover:var(--mit-primary-100);

    --surface-success-surface-primary:var(--mit-success-50);
    --surface-success-surface-secondary:var(--mit-success-500);
    --surface-success-surface-tertiary:var(--mit-success-50);

    --surface-warning-surface-primary:var(--mit-warning-50);
    --surface-warning-surface-secondary:var(--mit-warning-500);
    --surface-warning-surface-tertiary:var(--mit-warning-50);

    --surface-error-surface-primary:var(--mit-error-50);
    --surface-error-surface-secondary:var(--mit-error-500);
    --surface-error-surface-tertiary:var(--mit-error-50);

    /* Extra */
    --logo-fill-color:var(--mit-black);
}

[data-theme="dark"] {
    /* text */
    --mit-logo:url(../../public/img/logo-dark.png);

    --text-text-primary:var(--mit-gray-25);
    --text-text-secondary:var(--mit-dark-300);
    --text-text-tertiary:var(--mit-dark-400);
    --text-text-quaternary:var(--mit-dark-400);
    --text-text-body:var(--mit-dark-500);
    --text-text-invert:var(--mit-white);
    --text-text-light:var(--mit-dark-700);

    --text-brand-text-brand-primary:var(--mit-primary-600);
    --text-brand-text-brand-secondary:var(--mit-dark-500);
    --text-brand-text-brand-accent:var(--mit-dark-300);

    --text-success-text-primary:var(--mit-success-300);

    --text-warning-text-primary:var(--mit-warning-300);

    --text-error-text-primary:var(--mit-error-300);

    /* surface (background colors) */
    --surface-surface-bg:var(--mit-dark-1000);
    --surface-surface-light:var(--mit-dark-900);
    --surface-surface-bg-accent:var(--mit-white);
    --surface-surface-primary:var(--mit-dark-850);
    --surface-surface-secondary:var(--mit-dark-800);
    --surface-surface-tertiary:var(--mit-dark-700);
    --surface-surface-quaternary:var(--mit-dark-400);
    --surface-surface-tooltip:var(--mit-dark-400);

    --surface-brand-surface-brand-primary:var(--mit-primary-600);
    --surface-brand-surface-brand-secondary:var(--mit-primary-600);
    --surface-brand-surface-brand-tertiary:var(--mit-dark-800);
    --surface-brand-surface-brand-accent:var(--mit-dark-300);
    --surface-brand-surface-brand-subtle:var(--mit-dark-800);
    --surface-brand-surface-brand-quaternary:var(--mit-primary-800);
    --surface-brand-surface-brand-click:var(--mit-primary-900);

    --surface-button-text-button-primary:var(--mit-white);
    --surface-button-text-button-secondary:var(--mit-white);
    --surface-button-text-button-brand:var(--mit-dark-400);
    --surface-button-text-button-brand-active:var(--mit-dark-300);
    --surface-button-text-button-brand-hover:var(--mit-primary-25);
    --surface-button-surface-button-primary:var(--surface-surface-secondary);
    --surface-button-surface-button-hover:var(--surface-surface-primary);
    --surface-button-surface-button-focused:var(--surface-surface-bg);
    --surface-button-surface-secondary-button:var(--surface-surface-bg);
    --surface-button-surface-secondary-button-active:var(--surface-surface-bg);
    --surface-button-surface-secondary-button-hover:var(--mit-dark-900);
    --surface-button-surface-secondary-outline:var(--mit-primary-300);
    --surface-button-surface-secondary-outline-active:var(--mit-primary-600);
    --surface-button-surface-secondary-outline-hover:var(--mit-primary-300);

    --surface-success-surface-primary:var(--mit-success-900);
    --surface-success-surface-secondary:var(--mit-success-500);
    --surface-success-surface-tertiary:var(--mit-success-700);

    --surface-warning-surface-primary:var(--mit-warning-900);
    --surface-warning-surface-secondary:var(--mit-warning-500);
    --surface-warning-surface-tertiary:var(--mit-warning-700);

    --surface-error-surface-primary:var(--mit-error-900);
    --surface-error-surface-secondary:var(--mit-error-500);
    --surface-error-surface-tertiary:var(--mit-error-700);

    /* Extra */
    --logo-fill-color:var(--mit-white);
}

html {
    font-size: 62.5%;
    line-height: 1.15;
    -webkit-text-size-adjust: 100%;
    -moz-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    text-size-adjust: 100%;
}

*,
*::before,
*::after {
    box-sizing: border-box;
    border: 0;
    /*font: inherit;*/
    margin: 0;
    padding: 0;
    text-rendering: geometricPrecision;
    scrollbar-width: thin;
    scrollbar-color:var(--surface-surface-secondary ) var(--surface-surface-bg);
}

body {
    background-color: var(--surface-surface-secondary);
    line-height: 1.6;
    font-size: var(--mit-font-small);
    color: var(--text-text-tertiary);
    font-family: var(--mit-font-family), serif;
    margin: 0;
    padding: 0;
    --grid-gutter: 2rem;
}

i:not(.mnh-icon) {
    font-style: italic !important;
}

img {
    max-width: 100%;
}

hr {
    border-top: 1px solid var(--surface-surface-secondary);
    width: 100%;
}

iframe {
    border: 0;
}

/* scrollbar */
::-webkit-scrollbar {
    width: 3px;
    height: 5px; /* height of the entire scrollbar */
}

::-webkit-scrollbar-track {
    background: var(--surface-surface-primary); /* color of the tracking area */
    border-radius: var(--mit-border-raduis);
}

::-webkit-scrollbar-thumb {
    background: var(--mit-gray-600); /* color of the scroll thumb */
    border-radius: var(--mit-border-raduis);
}

::-webkit-scrollbar-thumb:hover {
    background: var(--mit-gray-700); /* color of the scroll thumb on hover */
}

/* placeholder */
::-webkit-input-placeholder {
    color: var(--surface-surface-quaternary);
}

::-moz-placeholder {
    color: var(--surface-surface-quaternary);
}

::-ms-input-placeholder {
    color: var(--surface-surface-quaternary);
}

::placeholder {
    color: var(--surface-surface-quaternary);
}

a,
.a,
button,
.btn,
select{
    cursor: pointer;
}

.logo{
    content: var(--mit-logo);
    /*width: 100%;
    height: 50px;
    background-repeat: no-repeat;
    background-size: contain;*/
}

.svgIcon{
    stroke: var(--text-text-tertiary) !important;
}

/* Colors */
.bg-primary {
    color: var(--text-text-invert);
    background-color: var(--surface-brand-surface-brand-primary) !important;
}

.bg-white{
    background-color: var(--surface-button-text-button-brand)!important;
}

.bg-transparent {
    background-color: transparent !important;
}

.bg-dark {
    background-color: var(--surface-surface-primary) !important;
}

.bg-secondary {
    background-color: var(--surface-surface-secondary) !important;
}

.bg-secondary-200 {
    background-color: var(--surface-surface-secondary)!important;
}

.bg-secondary-500 {
    background-color: var(--mit-gray-500)!important;
}

.bg-secondary-700 {
    background-color: var(--mit-gray-700)!important;
}

.border-secondary-200 {
    border-color: var(--surface-surface-secondary);
}

.border-secondary-500 {
    border-color: var(--mit-gray-500);
}

.border {
    border-style: solid;
}

.border-left {
    border: 0;
    border-left-style: solid;
    border-left-width: 5px;
    border-radius: var(--mit-border-raduis);
}

.border-left-thin {
    border: 0;
    border-left-style: solid;
    border-left-width: 3px;
    border-color: var(--surface-surface-primary);
}

.border-1 {
    border-width: 1px;
}

.border-2 {
    border-width: 2px;
}

.bg-warning {
    background-color: var(--surface-warning-surface-primary) !important;
}

.bg-error {
    background-color: var(--surface-error-surface-primary) !important;
}

.bg-success {
    background-color: var(--surface-success-surface-primary) !important;
}

.bd-left{
    border-left: 2px var(--surface-surface-primary) solid;
}

.bd-primary {
    border-color: var(--surface-brand-surface-brand-primary) !important;
}

.bd-light {
    border-color: var(--mit-gray-300) !important;
    box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.05);
}

.bd-transparent {
    border-color: transparent !important;
}

.bd-dark {
    border: 1px solid var(--surface-surface-quaternary) !important;
}

.bd-grey {
    border: 1px solid var(--surface-surface-tertiary) !important;
}

.bd-warning {
    border: 1px solid var(--surface-warning-surface-secondary) !important;
}

.bd-error {
    border: 1px solid var(--surface-error-surface-secondary) !important;
}

.bd-success {
    border: 1px solid var(--surface-success-surface-secondary) !important;
}

.bd-none {
    border-color: transparent !important;
    box-shadow: none !important;
}

.text-primary {
    color: var(--text-brand-text-brand-primary) !important;
}

.text-secondary {
    color: var(--text-text-secondary) !important;
}

.text-light {
    color: var(--surface-surface-bg-accent) !important;
}

.text-dark {
    color: var(--text-text-tertiary) !important;
}

.text-grey {
    color: var(--mit-gray-500) !important;
}

.text-warning {
    color: var(--text-warning-text-primary) !important;
}

.text-error {
    color: var(--text-error-text-primary) !important;
}

.text-success {
    color: var(--text-success-text-primary) !important;
}

.text-white {
    color: var(--mit-white) !important;
}

.m-x {
    margin-left: var(--mit-basic-margin-x);
    margin-right: var(--mit-basic-margin-x);
}

.m-x- {
    margin-left: -10px;
    margin-right: -10px;
}

.m-l {
    margin-left: var(--mit-basic-margin-x);
}

.m-l-2 {
    margin-left: 2rem;
}

.m-r {
    margin-right: var(--mit-basic-margin-x)!important;
    margin-left: 0!important;
}

.m-y {
    margin-top: var(--mit-basic-margin-y);
    margin-bottom: var(--mit-basic-margin-y);
}

.p-x {
    padding-left: var(--mit-basic-padding-x);
    padding-right: var(--mit-basic-padding-x);
}

.p-x-half {
    padding-left: calc(var(--mit-basic-padding-x)/2);
    padding-right: calc(var(--mit-basic-padding-x)/2);
}

.p-l {
    padding-left: var(--mit-basic-padding-x);
}

.p-y {
    padding-top: var(--mit-basic-padding-y);
    padding-bottom: var(--mit-basic-padding-y);
}

.m-full {
    margin: calc(2 * var(--mit-basic-margin-y));
}

.p-t {
    padding-top: var(--mit-basic-padding-y);
}

.w-100 {
    width: 100% !important;
}

.w-90 {
    width: 90% !important;
}

.w-80 {
    width: 80% !important;
}

.w-75 {
    width: 75% !important;
}

.w-50 {
    width: 50% !important;
}

.w-25 {
    width: 25% !important;
}

.hidden {
    display: none !important;
}

@media screen and (max-width: 599px) {
    .hide-xs {
        display: none !important;
    }
}

@media screen and (min-width: 600px) and (max-width: 899px) {
    .hide-sm {
        display: none !important;
    }
}

@media screen and (min-width: 900px) and (max-width: 1199px) {
    .hide-md {
        display: none !important;
    }
}

@media screen and (min-width: 1200px) {
    .hide-lg {
        display: none !important;
    }
}

@media print {
    .hide-pr {
        display: none !important;
    }
}

.flex {
    display: flex!important;
}

.inline-flex {
    display: inline-flex!important;
}

.flex-row {
    flex-direction: row;
    align-items: center;
}

.flex-1 {
    flex: 1
}

.flex-col {
    flex-direction: column;
    padding-top: var(--mit-basic-margin-y);
    justify-content: flex-start
}

.fixed {
    position: fixed;
    width: 100%;
}

.no-padding {
    padding: 0 !important;
}

.no-margin {
    margin: 0 !important;
}

.pointer {
    cursor: pointer !important;
    pointer-events: auto;
}

.rounded-full {
    border-radius: 100%;
}

.rounded {
    border-radius: var(--mit-border-raduis);
}

.rounded-right {
    border-radius: 0 var(--mit-border-raduis) var(--mit-border-raduis) 0!important;
}

.rounded-left {
    border-radius: var(--mit-border-raduis) 0 0 var(--mit-border-raduis)!important;
}

.rounded-none {
    border-radius: 0 !important;
}

.border-boxed {
    box-sizing: border-box;
}

.shadowed{
    box-shadow: 0 1px 2px 0 rgba(16, 24, 40, 0.05);
}

.absolute{
    position: absolute!important;
}

/* Position & alignment */
.pull-right {
    float: right !important;
}

.pull-left {
    float: left !important;
}

.text-center {
    text-align: center;
}

.text-left {
    text-align: left;
}

.text-right {
    text-align: right;
}

.text-justify {
    text-align: justify;
}

.text-uppercase {
    text-transform: uppercase;
}

.text-lowercase {
    text-transform: lowercase;
}

.text-capitalize {
    text-transform: capitalize;
}

.full-screen {
    width: 100%;
    min-height: 100vh;
}

.full-height {
    min-height: 100vh;
}

.full-width {
    width: 100% !important;
}

.vertical-align {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.horizontal-align {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.is-center {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
}

.is-right {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
}

.is-left {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: flex-start;
}

.overflow-x{
    overflow-x: auto;
    overflow-y: unset;
    padding: 3px;
}




/*********** RTL Styles ***********/
html[dir="rtl"]{
    .rounded-left {
        border-radius: 0 var(--mit-border-radius) var(--mit-border-radius) 0!important;
    }

    .rounded-right {
        border-radius: var(--mit-border-radius) 0 0 var(--mit-border-radius)!important;
    }
    .tab {
        float: right;
    }
    .m-r {

        margin-left: var(--mit-basic-margin-x)!important;
        margin-right: 0!important;
    }
    .m-l {
        margin-right: var(--mit-basic-margin-x);
        margin-left: 0!important;
    }
    .p-l {
        padding-right: var(--mit-basic-padding-x);
        padding-left: 0
    }
    .right-0 .context-menu{
        left: 0;
        right: auto;
    }
    ul[id*="context-filter-"]{
        right:-110px;
        left: auto;
    }
    ul[id*="context-filter-"]::after{
        right: 20%;
        left: auto;
    }
    .slide-menu {
        left: -718px;
        right: auto;
    }
    .slided {
        transform: translate3d(718px, 0, 0);
        animation-timing-function: 2s ease-in;
    }
}
